#!/bin/bash
. draw.sh

X_AXIS='your X-axis'
X_RANGE='0 1 0.25'
Y_AXIS='\*c\mk\sb\fR1\eb\rt\sp2\ep'
Y_RANGE='-1 1 0.5'
LINES=( Solid:Red Omit:Black Solid:Blue Solid:Magenta )
SYMBOLS=( Omit FilledCircle:Red Omit )
COLOR=1
FONT_NAME=AvantGarde-Book
FONT_SIZE=0.065

# 1時間だけ存在する一時フォルダーを作ります
TMP=`mktemp -dt my`
# 元のデータが粗っぽいので，ごまかします
spline my.dat > $TMP/fine.dat
# ラベルを作成します
cat > $TMP/legend.dat <<@
#m=Solid:Black,S=Omit
0.5 0.75
0.6 0.75 l: theory
#m=Omit,S=FilledCircle:Red
0.55 0.6 l:\r2\r4 experiment
@
LEGEND=$TMP/legend.dat
# 2枚目を重ね書きします
NEWPLOT=( 3 4 5 )
Y_RANGE[1]="-0.5 1.5 0.5"
Y_AXIS[1]="ion current (\*mA)"
POSITION[1]="0 0.65 1"
OPT[1]="--pen-colors=4=DarkGreen --toggle-axis-end y --toggle-no-ticklabels x"
# 2枚目のラベルを作成します
cat > $TMP/legend2.dat <<@
#m=Solid:Magenta,S=Omit
0.1 -.3
0.1 -.2

0.1 -.25
0.35 -.25 t:\fRlight on
0.6 -.25

0.6 -.3
0.6 -.2

0.1 0.1 lt:\fRion current
@
LEGEND[1]=$TMP/legend2.dat
POSITION[2]="0.2 1.1 0.5"
X_RANGE[2]="0.3 0.5 0.1"
Y_RANGE[2]="0.6 0.75 0.05"
OPT[2]="--pen-colors=4=DarkGreen --toggle-no-ticklabels x --toggle-axis-end y\
	--blankout 1.2"
# ほんじゃ，描いてみようか
draw my.pdf $TMP/fine.dat my.dat my2.dat my3.dat my3.dat
